# logq2 hz p sample
data <- read.table("data-denormalized.txt",header=T)

# Keep the smoothing bandwidth above the level of quantization error.
# bw.nrd0 is the default estimator of density().
bw.dwf <- function(x) {
  max(0.5,bw.nrd0(x))
}

pdf("ex-discret.pdf",width=6.5,height=3,pointsize=8)
par(mfrow=c(1,2),mar=c(3,3,0.05,0.5),mgp=c(2,0.75,0))
logq2 = 0
hz = 1
p = 1
      d <- data$sample[data$logq2==logq2 & data$hz==hz & data$p==p]
      plot(d,xlab="Iteration",ylab="Sample count",main="")
      #plot(density(d,bw=bw.dwf(d)),lwd=1.5,main="",xlab="Sample count")
      hist(d,breaks=seq(126.5,132.5,1),main="",xlab="Sample count")
dev.off()
