# 2013-07-18 16:38

data <- read.table("glommed-noscale-time-series.txt",header=T)
# Pick an odd number
fwid <- 75
movmean <- filter(data$ms,rep(1/fwid,fwid),sides=2)

png("slowdown.png",width=800,height=800,units="px",pointsize=16)
par(mar=c(4,4,2,0))
plot(data$ms,main="Trend attributed to Turbo Boost",xlab="Iteration number (chronological)",ylab="Sum of CPU Time:Self from all 30 configurations on each iteration (ms)")
lines(movmean,lwd=5,col="red")
dev.off()

pdf("slowdown.pdf")
par(mar=c(4,4,0.1,0.1))
plot(data$ms,xlab="Iteration number (chronological)",ylab="Sum of CPU Time:Self from all 30 configurations on each iteration (ms)",cex=0.75)
lines(movmean,lwd=3,col="red")
dev.off()
