# 2013-07-08 10:54

data <- read.table("glommed-time-series.txt",header=T)

png("slowdown-scatterline.png",width=800,height=800,units="px",pointsize=16)
par(mar=c(4,4,2,0))
plot(data$samples,main="Trend in sample counts in AXE experiment",xlab="Iteration number (chronological)",ylab="Sum of approximate sample counts from all 30 configurations on each iteration")

# This is extremely fiddly.
data$rownumber <- 1:nrow(data)
lm <- lm(formula=samples~rownumber, data=data)
lmout <- data.frame(rownumber=c(1,nrow(data)))
lmout$samples <- predict(object=lm, newdata=lmout)
lines(x=lmout$rownumber,y=lmout$samples,lwd=5,col="red")

dev.off()
