# 2013-07-25 15:55

# Bare hexadecimal addresses are read in as strings.
ts_s <- read.table("time_series.txt", col.names=c("IP"))
# hist won't work on strings.  Convert to ints.
ts_i <- as.integer(paste("0x",ts_s$IP,sep=""))

lastdigit <- ts_i %% 0x10
pdf('modFfig.pdf')
par(mar=c(4,4,0.1,0))
hist (lastdigit, breaks=seq(-0.5,15.5,1), xlab="Last hexadecimal digit of instruction pointer", ylab="Count", col="blue", xaxt="n", main="")
iplabs=0:0xF
axis(1,at=iplabs,labels=as.character.hexmode(iplabs,upper.case=T))
dev.off()
